--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply SPAA MDD change 12_233
-- Note that SPAA does not provide a meter manufacturer org id and you need to add this into 
-- the B-Smart Cross Reference table for the Manufacturer Code once the org id is made known to you by the industry.
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              29-JUN-2012 M Davenport       9.0.016.0
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply SPAA MDD change 12_233
PROMPT
PROMPT Version 9.0.016.0
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT Apply SPAA MDD Change 12_233
--
PROMPT
PROMPT Add FLN row to MANUFACTURER table 
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);


  L_MP_CODE           VARCHAR2(100);

BEGIN

     EXECUTE IMMEDIATE  'INSERT INTO MANUFACTURER (MANUFACTURER_CODE,MANUFACTURER_DESCRIPTION,CREATED_USER_ID,
                       CREATED_MARKET_PARTICIPANT,CREATED_DATE)
                       VALUES(''FLN'',''Flonidan'',USER,''BSMART'',SYSDATE)';

EXCEPTION
  WHEN is_snapshot OR invalid_column OR row_exists THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--

